Package org.apache.sling.auth.saml2

## Interface AuthenticationHandlerSAML2

All Superinterfaces:
  `org.apache.sling.auth.core.spi.AuthenticationHandler`

    public interface AuthenticationHandlerSAML2
    extends org.apache.sling.auth.core.spi.AuthenticationHandler

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.sling.auth.core.spi.AuthenticationHandler

`org.apache.sling.auth.core.spi.AuthenticationHandler.FAILURE_REASON_CODES`

### Field Summary

### Fields inherited from interface org.apache.sling.auth.core.spi.AuthenticationHandler

`FAILURE_REASON, FAILURE_REASON_CODE, PATH_PROPERTY, REQUEST_LOGIN_PARAMETER, SERVICE_NAME, TYPE_PROPERTY`

### Method Summary

### Methods inherited from interface org.apache.sling.auth.core.spi.AuthenticationHandler

`dropCredentials, extractCredentials, requestCredentials`